<?php
// Vérification de version logiciel
$url = '../version.txt';
$vers_offurl = htmlspecialchars(implode('', file($url)));
$vers_offic = substr($vers_offurl, 0, strpos($vers_offurl,"/"));
if($vers_offic > 0.23) {
// Ajout d'un paramètre d'évaluation pour la grille perso
$eper = mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'eval_perso'");
$eper_nb = mysqli_num_rows($eper);
if($eper_nb==0) {
	$eper_insert = "INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'eval_perso', 'niveau', 'Choix d''une évaluation par niveau ou globale sur la grille personnalisée.')";
	$eper = mysqli_query($bdd,$eper_insert);
}
// Ajout d'un paramètre d'infobulle sur le menu
$imenu = mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'info_menu'");
$imenu_nb = mysqli_num_rows($imenu);
if($imenu_nb==0) {
	$imenu_insert = "INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'info_menu', '0', 'Option d''une infobulle sur les menus du logiciel.')";
	$imenu = mysqli_query($bdd,$imenu_insert);
}
// suppression des liens savoirs/élèves sans évaluation
mysqli_query($bdd,"DELETE FROM ".$prefix."_savele WHERE eval = '0'");
// suppression du fichier /db/proc/maj_savele.php
$ouverture = opendir("proc/");
$lecture = readdir($ouverture);
unlink ("proc/maj_savele.php");
closedir($ouverture);
// suppression du fichier /db/proc/maj_base_savele.php
$ouverture = opendir("proc/");
$lecture = readdir($ouverture);
unlink ("proc/maj_base_savele.php");
closedir($ouverture);
// suppression du fichier /db/proc/edit_select_emi_add.php
$ouverture = opendir("proc/");
$lecture = readdir($ouverture);
unlink ("proc/edit_select_emi_add.php");
closedir($ouverture);
// suppression du fichier /db/proc/edit_select_emi_add_script.php
$ouverture = opendir("proc/");
$lecture = readdir($ouverture);
unlink ("proc/edit_select_emi_add_script.php");
closedir($ouverture);
// suppression du fichier /db/proc/edit_select_per_add.php
$ouverture = opendir("proc/");
$lecture = readdir($ouverture);
unlink ("proc/edit_select_per_add.php");
closedir($ouverture);
// suppression du fichier /db/proc/edit_select_per_add_script.php
$ouverture = opendir("proc/");
$lecture = readdir($ouverture);
unlink ("proc/edit_select_per_add_script.php");
closedir($ouverture);
// suppression du fichier /db/proc/edit_select_sav_add.php
$ouverture = opendir("proc/");
$lecture = readdir($ouverture);
unlink ("proc/edit_select_sav_add.php");
closedir($ouverture);
// suppression du fichier /db/proc/edit_select_sav_add_script.php
$ouverture = opendir("proc/");
$lecture = readdir($ouverture);
unlink ("proc/edit_select_sav_add_script.php");
closedir($ouverture);
// suppression du fichier /db/install_compte.php
$ouverture = opendir("/");
$lecture = readdir($ouverture);
unlink ("install_compte.php");
closedir($ouverture);
// création de la table ".$prefix."_savoirs1
mysqli_query($bdd,"CREATE TABLE IF NOT EXISTS ".$base.".".$prefix."_savoirs1 (s1_id VARCHAR( 15 ) NOT NULL , nom_savoir TEXT NOT NULL , niveau VARCHAR ( 2 ) NOT NULL , champs_id VARCHAR ( 10 ) DEFAULT NULL , notions TEXT  , base INT ( 1 ) DEFAULT NULL , PRIMARY KEY ( s1_id ) ) ENGINE = MYISAM DEFAULT CHARSET = utf8 COLLATE = utf8_unicode_ci;");
// version bdd :
$versbdd_up = "UPDATE ".$prefix."_parametres SET valeur = '0.15' WHERE param_nom = 'version_bdd'";
mysqli_query($bdd,$versbdd_up);
}
else {
echo '<script>alert("Vous devez installer au moins la version 0.24 d\'InfodocLog pour cette mise à jour.");</script>';
}
?>